All Classes Files Functions Typedefs Groups Pages
Touch Event
Core API

How to attach(or detach) callback function called when touch event occurs. More...

## Classes

class | NexTouch

## Macros

#define | NEX_EVENT_PUSH (0x01)
#define | NEX_EVENT_POP (0x00)

## Typedefs

typedef void(* | NexTouchEventCb )(void *ptr)

## Detailed Description

How to attach(or detach) callback function called when touch event occurs.

## Macro Definition Documentation

#define NEX_EVENT_POP (0x00)

Pop touch event occuring when your finger or pen leaving from Nextion touch pannel.

#define NEX_EVENT_PUSH (0x01)

Push touch event occuring when your finger or pen coming to Nextion touch pannel.

## Typedef Documentation

typedef void(* NexTouchEventCb)(void *ptr)

Type of callback funciton when an touch event occurs.

Parameters

  ptr | - user pointer for any purpose. Commonly, it is a pointer to a object.

Returns
  none.